libdap::StdinResponse Class Reference

Encapsulate a response read from stdin. More...

`#include <StdinResponse.h>`

Inheritance diagram for libdap::StdinResponse:

## Public Member Functions

virtual std::istream * | get_cpp_stream () const
virtual FILE * | get_stream () const
virtual void | set_cpp_stream (std::istream *in)
virtual void | set_stream (FILE *s)
| StdinResponse (FILE *s)
| Initialize with standard input. More...
| StdinResponse (std::istream &in)
| Build a instance using a C++ istream. More...
virtual | ~StdinResponse ()
getters
virtual int | get_status () const
virtual ObjectType | get_type () const
virtual std::string | get_version () const
virtual std::string | get_protocol () const
setters
virtual void | set_status (int s)
virtual void | set_type (ObjectType o)
virtual void | set_version (const std::string &v)
virtual void | set_protocol (const std::string &p)

## Detailed Description

Encapsulate a response read from stdin.

This class holds stdin and provides an interface from which Connect can read DAP2 information from standard input. Unlike the other Response classes, StdinResponse does not close the input stream when it's done reading.

Note
  Modified 10/25/13 to accommodate C++ istreams.

Definition at line 44 of file StdinResponse.h.

## Constructor & Destructor Documentation

## StdinResponse() [1/2]

libdap::StdinResponse::StdinResponse | ( | FILE * | s | ) |

inline

Initialize with standard input.

Create an instance initialized to standard input. When done, does not close stdin.

See also
  Response

Parameters

  s | Pointer to standard input.

Definition at line 62 of file StdinResponse.h.

## StdinResponse() [2/2]

libdap::StdinResponse::StdinResponse | ( | std::istream & | in | ) |

inline

Build a instance using a C++ istream.

Parameters

  in | A pointer to the input stream

Definition at line 68 of file StdinResponse.h.

## ~StdinResponse()

virtual libdap::StdinResponse::~StdinResponse | ( |  | ) |

inline virtual

Destructor. Does not close standard input.

Definition at line 71 of file StdinResponse.h.

The documentation for this class was generated from the following file:

- StdinResponse.h